com.gemstone.tools

## Class TopazProcess

- java.lang.Object
- - com.gemstone.tools.TopazProcess

-     public class TopazProcess
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `debug`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopazProcess(java.lang.String GSdir, java.lang.String args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `command(java.lang.String s)`
    `java.lang.String` | `command(java.lang.String s, int secondsToWait)`
    `void` | `commandNoWait(java.lang.String s)`
    `java.lang.String` | `header()`
    `java.lang.String` | `prompt()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debug

          public boolean debug

  - ### Constructor Detail

    - #### TopazProcess

          public TopazProcess(java.lang.String GSdir,
                              java.lang.String args)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### prompt

          public java.lang.String prompt()

    - #### header

          public java.lang.String header()

    - #### commandNoWait

          public void commandNoWait(java.lang.String s)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### command

          public java.lang.String command(java.lang.String s,
                                          int secondsToWait)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### command

          public java.lang.String command(java.lang.String s)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`